# Generated by go2rpm
# flaky tests, only try on one arch
%ifarch x86_64
%bcond_without check
%endif

# https://github.com/mesos/mesos-go
%global goipath         github.com/mesos/mesos-go
Version:                0.0.11

%gometa

%global common_description %{expand:
Pure Go language bindings for Apache Mesos, under development. As with other
pure implementations, mesos-go uses the HTTP wire protocol to communicate
directly with a running Mesos master and its slave instances. One of the
objectives of this project is to provide an idiomatic Go API that makes it super
easy to create Mesos frameworks using Go.}

%global golicenses      LICENSE NOTICE
%global godocs          CONTRIBUTING.md DESIGN.md README.md CHANGELOG\\\
                        examples

Name:           %{goname}
Release:        2%{?dist}
Summary:        Go language bindings for Apache Mesos

# Upstream license specification: BSD-3-Clause and Apache-2.0 and MIT
License:        BSD and ASL 2.0 and MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/gogo/protobuf/gogoproto)
BuildRequires:  golang(github.com/gogo/protobuf/proto)
BuildRequires:  golang(github.com/gogo/protobuf/sortkeys)
BuildRequires:  golang(github.com/gogo/protobuf/types)
BuildRequires:  golang(github.com/golang/glog)
BuildRequires:  golang(github.com/pborman/uuid)
BuildRequires:  golang(github.com/pquerna/ffjson/fflib/v1)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus)
BuildRequires:  golang(github.com/samuel/go-zookeeper/zk)
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/stretchr/testify/mock)
BuildRequires:  golang(golang.org/x/net/context)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/gogo/protobuf/jsonpb)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck -d api/v0/upid
%endif

%gopkgfiles

%changelog
* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 21:44:24 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.0.11-1
- Update to 0.0.11

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat Feb 01 03:09:18 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.0.10-1
- Update to 0.0.10

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jul 09 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.0.9-2
- Add Obsoletes for old name

* Fri May 17 18:49:44 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.0.9-1
- Release 0.0.9

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.14.20150708git83b52d7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Oct 23 2018 Nicolas Mailhot <nim@fedoraproject.org> - 0-0.13.20150708git83b52d7
- redhat-rpm-config-123 triggers bugs in gosetup, remove it from Go spec files as it’s just an alias
- https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/RWD5YATAYAFWKIDZBB7EB6N5DAO4ZKFM/

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.12.20150708git83b52d7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Mar 01 2018 Jan Chaloupka <jchaloup@redhat.com> - 0-0.11.20150708git83b52d7
- Autogenerate some parts using the new macros

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.10.git83b52d7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.9.git83b52d7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.8.git83b52d7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.7.git83b52d7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.git83b52d7
- https://fedoraproject.org/wiki/Changes/golang1.7

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.git83b52d7
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.4.git83b52d7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Sep 12 2015 jchaloup <jchaloup@redhat.com> - 0-0.3.git83b52d7
- Update to spec-2.1
  related: #1250493

* Mon Aug 24 2015 jchaloup <jchaloup@redhat.com> - 0-0.2.git83b52d7
- Update ifarch for secondary architectures
  resolves: #1250493

* Tue Jul 28 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.git83b52d7
- First package for Fedora
  resolves: #1246740
